%define anolis_release 1

%global gtk3_version 3.24.15
%global glib2_version 2.53.4
%global gnome_desktop_version 2.91.2
%global libexif_version 0.6.14
%global libhandy_version 1.5.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:    eog
Version: 44~beta
Release: %{anolis_release}%{dist}

Summary: Eye of GNOME image viewer

# The GFDL has an "or later version" clause embedded inside the license.
# There is no need to add the + here.
License: GPLv2+ and GFDL
URL:     https://wiki.gnome.org/Apps/EyeOfGnome
Source0: https://download.gnome.org/sources/%{name}/43/%{name}-%{tarball_version}.tar.xz

BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gnome-desktop-3.0) >= %{gnome_desktop_version}
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif) >= %{libexif_version}
BuildRequires: pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpeas-1.0) >= 0.7.4
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 0.7.4
%if 0%{?flatpak}
BuildRequires: pkgconfig(libportal-gtk3)
%endif
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(shared-mime-info)
BuildRequires: pkgconfig(x11)
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gi-docgen
BuildRequires: itstool
BuildRequires: meson
BuildRequires: zlib-devel
BuildRequires: /usr/bin/appstream-util

Requires:      gsettings-desktop-schemas
Requires:      glib2 >= %{glib2_version}
Requires:      gtk3 >= %{gtk3_version}
Requires:      libhandy >= %{libhandy_version}

# Contains some files from the Independent JPEG Group's implementation of the
# libjpeg library. They are the parts that are used by the jpegtran tool, which
# are unfortunately not provided as part of libjpeg's API. They neither parse
# files (or Exif data) nor allocate memory by themselves. They only work on
# the data and functions provided by libjpeg.
Provides:      bundled(libjpeg)

%description
The Eye of GNOME image viewer (eog) is the official image viewer for the
GNOME desktop. It can view single image files in a variety of formats, as
well as large image collections.

eog is extensible through a plugin system.

%package devel
Summary: Support for developing plugins for the eog image viewer
Requires: %{name} = %{version}-%{release}
# Because web fonts from upstream are not bundled in the gi-docgen package,
# packages containing documentation generated with gi-docgen should depend on
# this metapackage to ensure the proper system fonts are present.
Recommends: gi-docgen-fonts

%description devel
The Eye of GNOME image viewer (eog) is the official image viewer for the
GNOME desktop. This package allows you to develop plugins that add new
functionality to eog.

%package  tests
Summary:  Tests for the %{name} package
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python3-behave
Requires: python3-dogtail

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
       -Dgtk_doc=true \
       -Dinstalled_tests=true \
    %if ! 0%{?flatpak}
       -Dlibportal=false
    %endif
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/eog.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.eog.desktop

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_bindir}/eog
%{_datadir}/eog
%{_datadir}/applications/org.gnome.eog.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/eog
%{abidir}/lib*.dump
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_metainfodir}/eog.appdata.xml

%files devel
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc
%{_datadir}/gtk-doc/

%files tests
%dir %{_libexecdir}/eog
%{_libexecdir}/eog/installed-tests/
%{_datadir}/installed-tests/

%files doc
%doc AUTHORS NEWS README.md ChangeLog ChangeLog-2.6 ChangeLog-2.18 
%doc ChangeLog-3.27 ChangeLog.pre-git TODO

%changelog
* Thu Mar 16 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~beta-1
- Init package from upstream
